# Generated by Django 4.0.5 on 2023-01-21 13:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0023_rename_user_id_experts_expert_name'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='films',
            name='groups',
        ),
        migrations.RemoveField(
            model_name='films',
            name='persons',
        ),
        migrations.AddField(
            model_name='films',
            name='group',
            field=models.ManyToManyField(to='main.groups', verbose_name='Группа'),
        ),
        migrations.AddField(
            model_name='films',
            name='person',
            field=models.ManyToManyField(to='main.persons', verbose_name='Персона'),
        ),
        migrations.AlterField(
            model_name='experts',
            name='expert_name',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.PROTECT, to='main.users', verbose_name='Имя эксперта'),
        ),
        migrations.AlterField(
            model_name='grades',
            name='user_name',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='main.experts', verbose_name='Имя рецензента'),
        ),
    ]
